Subject: Re: bug#67022: Gzip decompression can be 60% faster using zlib's CRC32

From: wrotycz <[email-masked]>
Date: Thu, 14 Mar 2024 23:46:14 +0100

&gt; The paper on braided CRCs is in the zlib distribution: doc/crc-doc.1.0.pdf   Thanks for a tip, I read that and now it&#39;s bit clearer to me.    Maybe it is slightly faster, but I wouldn&#39;t bet dollars against nuts it&#39;s exact in my case as 7zip-crc also uses slice-by-8 algorithm and is actually faster.  Despite that the question is how do I use zlib crc32()? It doesn&#39;t give me correct result.   My &#39;rig&#39; is this:   ~~~  crc = -1  while (buffer, length = read_data()):      {      crc = crcfunc(crc, buffer, length)      }  crc = ~crc  ~~~   This doesn&#39;t work with `crc32_z();&#39;